Subject: Re: bug#57858: [PATCH] gnu: git-annex: Promote git to propagated input

From: Maxime Devos <[email-masked]>
Date: Mon, 17 Oct 2022 14:55:31 +0200

On 17-10-2022 12:11, Konrad Hinsen wrote:
> But you are right in pointing out that this is an instance of a
> situation for which Guix should have a general policy. git-lfs is
> probably in exactly the same situation. Not emacs-magit though: it works
> perfectly fine without exposing git in the same profile. Being a git
> plugin is not the same as being a git wrapper.

The current policy, IMO, is that plugins don't propagate what they are 
plugged into -- even if the plugin is useless without the thing it 
plugs-in into (compare: search paths are set in 'consumers', not 
'producers').

Taking 'emacs-magit' as an example, emacs-magit is an Emacs plugin, but 
it doesn't propagate emacs.

Likewise, (in some usages) 'git-annex' is a git plugin, yet it (IMO) 
shouldn't propagate git.

Greetings
Maxime.